//
//  MessageView.swift
//  Chat
//
//  Created by Sergey Tarasov on 24.07.2022.
//

import SwiftUI

struct MessageView: View {
    let text: String
    let time: String
    let isSelf: Bool
    var body: some View {
        HStack(alignment: .bottom) {
            Text(text)
                .foregroundColor(.primary)
                .padding(.vertical, 6)
                .padding(.horizontal, 12)
            Text(time)
                .font(.caption)
                .foregroundColor(.secondary)
                .padding(.vertical, 6)
                .padding(.trailing, 12)
                .padding(.leading, -12)
        }
        .background(
            RoundedRectangle(cornerRadius: 17)
                .foregroundColor(isSelf ? .mint.opacity(0.1) : .secondary.opacity(0.1))
        )
    }
}

struct MessageView_Previews: PreviewProvider {
    static var previews: some View {
        MessageView(text: "Малое пробное сообщение", time: "23:05", isSelf: true)
            .padding()
            .previewLayout(.sizeThatFits)
        MessageView(text: "Пробное сообщение на несколько строк для проверки того, как выглядит сообщение и его фон", time: "23:08", isSelf: false)
            .padding()
            .previewLayout(.sizeThatFits)
    }
}
